package de.oaa.xxx.aufgaben;

import java.util.List;
import java.util.UUID;

public class Sperre {

	private UUID sperreId;
	private String kurzText;
	private String text;
	private String releaseText;
	private UUID gruppeId;
	private List<Werkzeug> sperreFuer;
	private Integer minutenVon;
	private Integer minutenBis;
	private List<Toy> benoetigteToys;

	public UUID getSperreId() {
		return sperreId;
	}

	public void setSperreId(UUID sperreId) {
		this.sperreId = sperreId;
	}

	public String getKurzText() {
		return kurzText;
	}

	public void setKurzText(String kurzText) {
		this.kurzText = kurzText;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getReleaseText() {
		return releaseText;
	}

	public void setReleaseText(String releaseText) {
		this.releaseText = releaseText;
	}

	public List<Werkzeug> getSperreFuer() {
		return sperreFuer;
	}

	public void setSperreFuer(List<Werkzeug> sperreFuer) {
		this.sperreFuer = sperreFuer;
	}

	public Integer getMinutenVon() {
		return minutenVon;
	}

	public void setMinutenVon(Integer minutenVon) {
		this.minutenVon = minutenVon;
	}

	public Integer getMinutenBis() {
		return minutenBis;
	}

	public void setMinutenBis(Integer minutenBis) {
		this.minutenBis = minutenBis;
	}

	public List<Toy> getBenoetigteToys() {
		return benoetigteToys;
	}

	public void setBenoetigteToys(List<Toy> benoetigteToys) {
		this.benoetigteToys = benoetigteToys;
	}

	public UUID getGruppeId() {
		return gruppeId;
	}

	public void setGruppeId(UUID gruppeId) {
		this.gruppeId = gruppeId;
	}
}
